OD(1)

NAVN
od - dump files in octal and other formats

OVERSIKT
od [VALG]... [FIL]...
od [-abcdfilosx]... [FIL] [[+]FORSKYV[.][b]]
od --traditional [VALG]... [FIL] [[+]FORSKYV[.][b] [+][ETIKETT][.][b]]

BESKRIVELSE

Skriv ut en entydig representasjon - i oktale bytes som standard - av FIL til standardutdata. Ved bruk av flere enn ett FILargument slås filer sammen, og summen av disse brukes som inndata.

Hvis ingen FIL er valgt, eller hvis FIL er «-», leser programmet standard inndata.

Hvis både første og andre kalleformat gjelder, og siste parameter (av minst 2) beynner med «+» eller et tall, brukes det siste formatet. En FORSKYVnings-operand betyr «-j [FORSKYV]». ETIKETTen er pseudoadressen hvor første byte skrives ut, som økes mens dumping pågår. Et «0x»- eller «0X»-prefiks for FORSKYV og ETIKETT betyr heksadesimal. (suffiks kan være «.» for oktal, og «b» for å gange med 512).

Argumenter som er obligatoriske for lange valg, er også obligatoriske for korte valg.

-A, --address-radix=GRUNNTALL
    Utskriftsformat for filforskyvninger. GRUNNTALLet er en av bokstavene i [doxn], som står for desimal, oktal, heksadesimal eller null/none.

--endian={big|little}
    Bytt om inndata-byte i henhold til valgt rekkefølge.

-j, --skip-bytes=BYTE
    Hopp over valgt antall BYTE med inndata først.

-N, --read-bytes=BYTE
    Begrens dumping til valgt antall inndataBYTE.

-S BYTE, --strings[=BYTE]
    show only NUL terminated strings of at least BYTES (default 3) printable characters

-t, --format=TYPE
    Velg utskriftsformat(er).

-v, --output-duplicates
    Ikke marker utelatte linjer med «*».

-w[BYTE], --width[=BYTE]
    Skriv ut valgt antall BYTE per linje. 32 gjelder implisitt når BYTE ikke er valgt.

--traditional
    Godta argumenter av tredje type som nevt ovenfor.

--help
    Vis denne hjelpeteksten og avslutt.

--version
    Vis versjonsinformasjon og avslutt.

  Du kan bruke nye og tradisjonelle formatspesifikasjoner om hverandre, slik:

-a  tilsvarer «-t a» (velg navngitte tegn, og ignorer «high-order»-bit)

-b  tilsvarer «-t o1» (velg oktale byte)

-c  tilsvarer «-t c» (velg ASCII-tegn, eller skråstrek-skiftetegn)

-d  tilsvarer «-t u2» (velg desimale 2 byte-enheter uten fortegn)

-f  tilsvarer «-t fF» (velg flyttall)

-i  tilsvarer «-t dI» (velg heltall med desimaler)

-l  tilsvarer «-t dL» (velg lange tall med desimaler)

-o  tilsvarer «-t o2» (velg oktale 2 byte-enheter)

-s  tilsvarer «-t d2» (velg desimaltall i 2 byte-enheter)

-x  tilsvarer «-t x2» (velg heksadesimale 2 byte-enheter)

  TYPE må følge én eller flere av følgende spesifikasjoner:

a   navngitt tegn (ignorerer «high-order»-bit)

c   printable character or backslash escape

d[STØRR]
    desimal med fortegn, STØRRelse i byte per heltall

f[STØRR]
    flyttall, STØRRelse i byte per flyttall

o[STØRR]
    oktal, STØRRelse i byte per heltall

u[STØRR]
    desimal uten fortegn, STØRRelse i byte per heltall

x[STØRR]
    heksadesimal, STØRRelse i byte per heltall

SIZE is a number. For TYPE in [doux], SIZE may also be C for sizeof(char), S for sizeof(short), I for sizeof(int) or L for sizeof(long). If TYPE is f, SIZE may also be B for Brain 16 bit, H for Half precision float, F for sizeof(float), D for sizeof(double), or L for sizeof(long double).

Du kan vise utskrivbare tegn i slutten av hver linje ved å legge et «z»-suffiks til hvilken som helst av typene.

  BYTE er hex-verdier med «0x»- eller «0X»-prefiks som også kan brukes med gangesuffiks:

b   512

KB  1000

K   1024

MB  1000*1000

M   1024*1024

og så videre (G, T, P, E, Z, Y, R, Q). Du kan også bruke binær-prefiks i form av KiB (K), MiB (M), og så videre.

EKSEMPLER

od -A x -t x1z -v
    Display hexdump format output

od -A o -t oS -w16
    The default output format used by od

FORFATTER
Skrevet av Jim Meyering.

RAPPORTERING AV FEIL
Rapporter feil til: bug-coreutils@gnu.org
Nettside for GNU coreutils: <https://www.gnu.org/software/coreutils/>
Generell hjelp til bruk av GNU-programvare: <https://www.gnu.org/gethelp/>
Rapporter oversettelsesfeil til <https://translationproject.org/team/nb.html>

OPPHAVSRETT
Copyright © 2026 Free Software Foundation, Inc. Lisens GPLv3+: GNU GPL versjon 3 eller senere <https://gnu.org/licenses/gpl.html>.
Dette er fri programvare. Du kan endre og dele den videre. Det stilles INGEN GARANTI, i den grad dette tillates av gjeldende lovverk.

SE OGSÅ
Fullstendig dokumentasjon: <https://www.gnu.org/software/coreutils/od>
eller lokalt: info '(coreutils) od invocation'

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.